# 1 Download swift image
FROM swift:5.8-focal-slim

ARG HOST_UID=999
ARG HOST_GID=999
RUN groupadd -r -g $HOST_GID vapor && useradd -r -g vapor -u $HOST_UID --create-home --system --skel /dev/null --home-dir /xeniaserver vapor

WORKDIR /xeniaserver

ENV PATH="${PATH}:/xeniaserver/bin"

RUN mkdir keys

COPY stream .

RUN apt-get update && apt-get install -y \
  curl \
  iputils-ping \
  gzip \
  cpio \
  sed \
  libxml2 \
  libc6 \
  zlib1g \
  libxml2 \
  libssl1.1

ARG CACHE_DATE=

RUN curl -f https://xenia-builds.clamxav.com/$(cat stream)/$(uname -m)/xenia-server.tar.gz --output xenia-server.tar.gz

RUN apt-get remove -y \
  curl

USER vapor:vapor

RUN tar xfvz xenia-server.tar.gz .

EXPOSE 38440

ENTRYPOINT ["./XeniaServer"]

